<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
    <meta charset="UTF-8">
    <meta name="format-detection" content="telephone=no">
    <th:block th:include="include :: header('随访SOP表')" />
    <th:block th:include="include :: layout-latest-css" />
    <th:block th:include="include :: ztree-css" />
</head>

<body class="gray-bg">
<div class="ui-layout-center">
    <div class="container-div">
        <div class="row">
            <div class="col-sm-12 search-collapse" >
                <div class="query-condition-container">
                    <h4 class="query-condition-title">查询条件</h4>
                    <div class="query-buttons">
                        <a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
                        <a class="btn btn-warning btn-rounded btn-sm" onclick="resetPre()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
                    </div>
                </div>
                <form id="SDtpYypzFollowUpSop-form" class="customize-search-form">
       <div class="customize-form-group-container">
                        <div class="customize-form-group">
                            <label class="control-label is-required">&nbsp;业务归属:&nbsp;&nbsp;</label>
                            <select name="businessBelonging" id="businessBelonging" class="styled-input input-field"   th:with="type=${@dict.getType('sys_select_dtp_ywgs')}">
                                <option value="">全部</option>
                                <option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictLabel}"></option>
                            </select>
                        </div>
                        <div class="customize-form-group">
                            <label>药品:</label>
                            <input type="text" class="styled-input" placeholder="请输入商品名/通用名/MDM编码" name="query" autocomplete="off"/>
                        </div>
                        <div class="customize-form-group">
                            <label>模板名称:</label>
                            <input type="text" class="styled-input" placeholder="请输入模板名称" name="templateName" autocomplete="off"/>
                        </div>
                        <div class="customize-form-group">

                        </div>
                        <div class="customize-form-group select-time">
                            <label>创建时间:</label>
                            <input type="text" class="time-input" id="startTime" placeholder="开始时间" name="beginTime"/>
                            <span>-</span>
                            <input type="text" class="time-input" id="endTime" placeholder="结束时间" name="endTime"/>
                        </div>
                        <div class="customize-form-group">
                            <label>状态:</label>
                            <select name="status" id="status" class="styled-input input-field"   th:with="type=${@dict.getType('sys_select_dtp_sfsopzt')}">
                                <option value="">全部</option>
                                <option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictLabel}"></option>
                            </select>
                        </div>
                       <div class="customize-form-group">
                           <label>模版ID:</label>
                           <input type="text" class="styled-input" placeholder="请输入模版ID" name="templateId" autocomplete="off"/>
                       </div>
                    </div>
                </form>
            </div>

            <div class="btn-group-sm" id="toolbar" role="group">
                <a class="btn btn-success" onclick="$.operate.addTab()" shiro:hasPermission="system:user:add">
                    <i class="fa fa-plus"></i> 新增
                </a>

                <a class="btn btn-danger multiple disabled" onclick="$.operate.removeAll()" shiro:hasPermission="system:user:remove">
                    <i class="fa fa-remove"></i> 删除
                </a>
            </div>

            <div class="col-sm-12 select-table table-striped" style="width: 100%; overflow-x: hidden;">
                <table id="bootstrap-table" class="fixed-layout-table"></table>
            </div>
        </div>
    </div>
</div>

<th:block th:include="include :: footer" />
<th:block th:include="include :: layout-latest-js" />
<th:block th:include="include :: bootstrap-table-fixed-columns-js" />
<th:block th:include="include :: ztree-js" />
<script th:inline="javascript">
    var editFlag = [[${@permission.hasPermi('dtp:pmService:edit')}]];
    var removeFlag = [[${@permission.hasPermi('dtp:pmService:remove')}]];
    var prefix = ctx + "dtp/sdtpyypzfollowupsop";
    $(function() {
        var panehHidden = false;
        if ($(this).width() < 1590) {
            panehHidden = true;
        }
        $('body').layout({ initClosed: panehHidden, west__size: 185, resizeWithWindow: false });
        // 回到顶部绑定
        if ($.fn.toTop !== undefined) {
            var opt = {
                win:$('.ui-layout-center'),
                doc:$('.ui-layout-center')
            };
            $('#scroll-up').toTop(opt);
        }
        queryArchivesList();
    });

    function queryArchivesList() {
        var options = {
            url: prefix + "/sDtpYypzFollowUpSopList",
            viewUrl: prefix + "/sDtpYypzFollowUpSopView/{id}",
            createUrl: prefix + "/sDtpYypzFollowUpSopAdd",
            updateUrl: prefix + "/sDtpYypzFollowUpSopEdit/{id}",
            removeUrl: prefix + "/sDtpYypzFollowUpSopRemove",
            /*exportUrl: prefix + "/export",
            importUrl: prefix + "/importData",
            importTemplateUrl: prefix + "/importTemplate",*/
            sortName: "id",
            sortOrder: "asc",
            modalName: "随访SOP表",
            fitColumns: true,
            striped: true,
            autoRowHeight: true,
            rowNumbers: true,
            showFooter:true,  //是否显示表格底部区域。
            clickToSelect: true, //是否启用点击行时选中整行的功能。
            singleSelect: false, //是否仅允许选择一行
            fixedColumns: true,
            //fixedNumber: 3,
            fixedRightNumber: 1,
            columns: [{
                checkbox: true
            },
                    { field: 'id', title: '主键', align: 'center' ,visible:false},
                    { field: 'productName', title: '药品名称', align: 'center' },
                    { field: 'productCode', title: '药品编码', align: 'center' },
                    { field: 'specification', title: '规格', align: 'center' },
                    { field: 'businessBelonging', title: '业务归属', align: 'center' },
                    { field: 'templateName', title: '模板名称', align: 'center' },
                    { field: 'templateId', title: '模版ID', align: 'center' },
                    { field: 'createdBy', title: '创建人', align: 'center' },
                    { field: 'status', title: '状态', align: 'center',
                        formatter: function(value, row, index) {
                            switch (value) {
                                case 0:
                                    return '<span class=\"btn-info">已创建</span>';
                                    break;
                                case 1:
                                    return '<span class=\"btn-primary">启用</span>';
                                    break;
                                case 2:
                                    return '<span class=\"btn-danger">禁用</span>';
                                    break;
                                default:
                                    return '<span class=\"btn-warning">无</span>';
                            }
                        } },
                    { field: 'createdTime', title: '创建时间', align: 'center' },
                    { field: 'updatedTime', title: '更新时间', align: 'center' },
                    { field: 'updatedBy', title: '更新人', align: 'center' },
                {
                    title: '操作',
                    align: 'center',
                    formatter: function(value, row, index) {
                        if (row.id) {
                            var actions = [];
                            actions.push('<a class="btn btn-success btn-xs ' + editFlag + '" href="javascript:void(0)" onclick="edit_page(\'' + row.id + '\')"><i class="fa fa-edit"></i>编辑</a> ');
                            actions.push('<a class="btn btn-danger btn-xs ' + removeFlag + '" href="javascript:void(0)" onclick="$.operate.remove(\'' + row.id + '\')"><i class="fa fa-remove"></i>删除</a> ');
                            return actions.join('');
                        } else {
                            return "";
                        }
                    }
                }]
        };
        $.table.init(options);
    }

    /* 自定义重置-表单重置/隐藏框/树节点选择色/搜索 */
    function resetPre() {
        resetDate();
        $("#SDtpYypzFollowUpSop-form")[0].reset();
        $.table.search();
        _refresh();
    }
    function edit_page(id){
        table.set();
        var url = "/404.html";
        if ($.common.isNotEmpty(id)) {
            url = table.options.updateUrl.replace("{id}", id);
        } else {
            var id = $.common.isEmpty(table.options.uniqueId) ? $.table.selectFirstColumns() : $.table.selectColumns(table.options.uniqueId);
            if (id.length == 0) {
                $.modal.alertWarning("请至少选择一条记录");
                return;
            }
            url = table.options.updateUrl.replace("{id}", id);
        }
        $.modal.openTab("修改" + table.options.modalName, url + "?editTage=1" );
    }

    /* 用户状态显示 */
    function statusTools(row) {
        if (row.status == 1) {
            return '<i class=\"fa fa-toggle-off text-info fa-2x\" onclick="enable(\'' + row.userId + '\')"></i> ';
        } else {
            return '<i class=\"fa fa-toggle-on text-info fa-2x\" onclick="disable(\'' + row.userId + '\')"></i> ';
        }
    }
</script>
</body>

</html>
